org.jbpm.process.instance.impl

## Class MVELReturnValueEvaluator

- java.lang.Object
- - org.jbpm.process.instance.impl.MVELReturnValueEvaluator

- All Implemented Interfaces:
    Externalizable, Serializable, org.drools.core.base.mvel.MVELCompileable, ReturnValueEvaluator

      public class MVELReturnValueEvaluator
      extends Object
      implements ReturnValueEvaluator, org.drools.core.base.mvel.MVELCompileable, Externalizable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MVELReturnValueEvaluator()`
    `MVELReturnValueEvaluator(org.drools.core.base.mvel.MVELCompilationUnit unit, String id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `compile(org.drools.core.rule.MVELDialectRuntimeData data)`
    `void` | `compile(org.drools.core.rule.MVELDialectRuntimeData data, org.drools.core.definitions.rule.impl.RuleImpl rule)`
    `Object` | `evaluate(org.kie.api.runtime.process.ProcessContext context)`
    `Serializable` | `getCompExpr()`
    `String` | `getDialect()`
    `void` | `readExternal(ObjectInput in)`
    `String` | `toString()`
    `void` | `writeExternal(ObjectOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MVELReturnValueEvaluator

          public MVELReturnValueEvaluator()

    - #### MVELReturnValueEvaluator

          public MVELReturnValueEvaluator(org.drools.core.base.mvel.MVELCompilationUnit unit,
                                          String id)

  - ### Method Detail

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### compile

          public void compile(org.drools.core.rule.MVELDialectRuntimeData data)

      Specified by:
        `compile` in interface `org.drools.core.base.mvel.MVELCompileable`

    - #### compile

          public void compile(org.drools.core.rule.MVELDialectRuntimeData data,
                              org.drools.core.definitions.rule.impl.RuleImpl rule)

      Specified by:
        `compile` in interface `org.drools.core.base.mvel.MVELCompileable`

    - #### getDialect

          public String getDialect()

    - #### evaluate

          public Object evaluate(org.kie.api.runtime.process.ProcessContext context)
                          throws Exception

      Specified by:
        `evaluate` in interface `ReturnValueEvaluator`
      Throws:
        `Exception`

    - #### getCompExpr

          public Serializable getCompExpr()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.